class MashTournament < ActiveRecord::Base
  belongs_to :requester
  has_many :mashes
  has_many :rounds, :class_name => 'MashTournamentRound'

  def next_unplayed_mash
    self.mashes.unplayed.first
  end

  def done?
    true
  end

  def round(number = 0)
    MashTournamentRound.find_by_mash_tournament_id(self.id,
        :conditions => {:number => number}
    )
  end
end
